Bug 582236 - CVE-2008-7258 standardise() -- Buffer overflow
CVE-2008-7258 standardise() -- Buffer overflow
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: ssmtp (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: CVE-2008-7258
  Show dependency treegraph
 
Reported: 2010-04-14 09:14 EDT by Dams
Modified: 2010-08-03 09:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: ssmtp-2.61-14.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-07 13:22:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2010-04-14 09:14:17 EDT
Description of problem:
See full descrition of bug here: 
https://bugs.launchpad.net/ubuntu/+source/ssmtp/+bug/282424

Version-Release number of selected component: ssmtp-2.61-11.8.el5

How reproducible: Always

Steps to Reproduce:
( 0. Install & configure ssmtp, of course )
1. (echo -n . ; for i in {1..2050} ; do echo -n $i ; done) | mail root

Actual results:
ssmtp dies with "send-mail: standardise() -- Buffer overflow"

Expected results: Mail sent
Comment 1 Fedora Update System 2010-04-19 21:29:56 EDT
ssmtp-2.61-14.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.el5
Comment 2 Fedora Update System 2010-04-19 21:30:07 EDT
ssmtp-2.61-14.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.el4
Comment 3 Fedora Update System 2010-04-19 21:49:33 EDT
ssmtp-2.61-14.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc13
Comment 4 Fedora Update System 2010-04-19 21:49:42 EDT
ssmtp-2.61-14.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc12
Comment 5 Fedora Update System 2010-04-19 21:49:51 EDT
ssmtp-2.61-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc11
Comment 6 Dams 2010-04-20 08:38:35 EDT
My problem is fixed in that package. Thank you.
Comment 7 Fedora Update System 2010-04-20 18:18:22 EDT
ssmtp-2.61-14.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.el4
Comment 8 Fedora Update System 2010-04-20 18:18:47 EDT
ssmtp-2.61-14.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.el5
Comment 9 Fedora Update System 2010-04-20 22:19:58 EDT
ssmtp-2.61-14.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc12
Comment 10 Fedora Update System 2010-04-20 22:22:37 EDT
ssmtp-2.61-14.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc13
Comment 11 Fedora Update System 2010-04-20 22:22:45 EDT
ssmtp-2.61-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc11
Comment 12 Fedora Update System 2010-05-07 13:22:23 EDT
ssmtp-2.61-14.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-05-07 13:22:53 EDT
ssmtp-2.61-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-05-10 16:14:26 EDT
ssmtp-2.61-14.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-05-10 16:16:39 EDT
ssmtp-2.61-14.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-05-10 19:46:02 EDT
ssmtp-2.61-14.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.